2. Invoking the YAZ client
Prev | Chapter 5. The YAZ client | Next

## 2. Invoking the YAZ client

It can be started by typing

`yaz-client` [-m `fname`] [-a `fname`] [-c `fname`] [-q `fname`] [-v `level`] [-p `target`] [-u `auth`] [-k `size`] [zurl]

in a UNIX shell / WIN32 console. The `zurl`, specifies a Z39.50/SRU host and, if specified, the client first tries to establish connection with the Z39.50/SRU target.

Options are prefixed by `-` followed by a particular letter.

The following options are supported:

`-m` `fname`
  All retrieved transfer records are appended to file `fname`. All records as returned by a target(s) in Search Responses and Present Responses are appended verbatim to the file.
`-a` `fname`
  Pretty-print log of APDUs sent and received is appended to the file `fname`. If `fname` is `-` (minus) the APDU log is written to `stderr`.
`-c` `fname`
  Sets the filename for CCL fields to `fname`. If this option is not given the YAZ client reads CCL fields from file `default.bib`.
`-q` `fname`
  Sets the filename for CQL fields to `fname`. If this option is not given the YAZ client reads CQL fields from file `/usr/local/share/yaz/etc/pqf.properties`.
`-v` `level`
  Sets the LOG level to `level`. Level is a sequence of tokens separated by comma. Each token is a integer or a named LOG item - one of `fatal`, `debug`, `warn`, `log`, `malloc`, `all`, `none`.
`-p` `target`
  Specifies proxy address. When set YAZ client will connect to a proxy on the address and port given. The actual target will be specified as part of the InitRequest to inform the proxy about actual target.
`-u` `auth`
  Specifies authentication. Usually the form `user`/`password` is used. This option does the same thing as the `auth` command.
`-k` `size`
  Specifies the maximum messages size in kilobytes. The default maximum message size for the YAZ client is 1024 (1 MB).

In order to connect to Index Data's test Z39.50 server on `bagel.indexdata.dk`, port 210 and with the database name `marc`, one could type

         yaz-client bagel.indexdata.dk:210/marc

The same server is also a SRU service. Connect to it via HTTP as follows:

         yaz-client http://bagel.indexdata.dk:210/marc

In order to enable APDU log and connect to localhost, port 210 (default) and database Default (default) you'd write:

         yaz-client -a - localhost

The following command connects to a local server via UNIX socket `/tmp/yaz` and sets maximum message size to 5 MB.

        yaz-client -k 5120 unix:/tmp/yaz

Prev | Up | Next
Chapter 5. The YAZ client | Home | 3. Commands